*-----------------------------------------------------------------------
      subroutine nxvg1c(ncdfid,cvname,mindex,cvalue)

      integer   mindex(*)
      character cvname*(*),cvalue*(*)


      nvarid=ncvid(ncdfid,cvname,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvg1c','error in ncvid.')

      call ncvg1c(ncdfid,nvarid,mindex,cvalue,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvg1c','error in ncvg1c.')

      end
